IssuesCategory: Magioerrors on asset import – Unity 2020.3.17f1
Adam Bruce asked 7 months ago

I just bought the Magio asset and imported it into the project. Am getting the following errors…

(1)
Assets\Arctibyte\Magio\Core\Scripts\MagioObject\Preview\PreviewMagioVFX.cs(188,31): error CS1061: ‘VisualEffect’ does not contain a definition for ‘HasSkinnedMeshRenderer’ and no accessible extension method ‘HasSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(2)
Assets\Arctibyte\Magio\Core\Scripts\MagioObject\Preview\PreviewMagioVFX.cs(194,26): error CS1061: ‘VisualEffect’ does not contain a definition for ‘SetSkinnedMeshRenderer’ and no accessible extension method ‘SetSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(3)
Assets\Arctibyte\Magio\Core\Scripts\Helpers\VFXHelpers.cs(71,61): error CS1061: ‘VisualEffect’ does not contain a definition for ‘GetSkinnedMeshRenderer’ and no accessible extension method ‘GetSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(4)
Assets\Arctibyte\Magio\Core\Scripts\Helpers\VFXHelpers.cs(188,65): error CS1061: ‘VisualEffect’ does not contain a definition for ‘GetSkinnedMeshRenderer’ and no accessible extension method ‘GetSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(5)
Assets\Arctibyte\Magio\Core\Scripts\Helpers\VFXHelpers.cs(282,32): error CS1061: ‘VisualEffect’ does not contain a definition for ‘HasSkinnedMeshRenderer’ and no accessible extension method ‘HasSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(6)
Assets\Arctibyte\Magio\Core\Scripts\Helpers\VFXHelpers.cs(283,32): error CS1061: ‘VisualEffect’ does not contain a definition for ‘SetSkinnedMeshRenderer’ and no accessible extension method ‘SetSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(7)
Assets\Arctibyte\Magio\Core\Scripts\MagioObject\MagioObjectEffect.cs(1551,31): error CS1061: ‘VisualEffect’ does not contain a definition for ‘HasSkinnedMeshRenderer’ and no accessible extension method ‘HasSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

(8)
Assets\Arctibyte\Magio\Core\Scripts\MagioObject\MagioObjectEffect.cs(1562,26): error CS1061: ‘VisualEffect’ does not contain a definition for ‘SetSkinnedMeshRenderer’ and no accessible extension method ‘SetSkinnedMeshRenderer’ accepting a first argument of type ‘VisualEffect’ could be found (are you missing a using directive or an assembly reference?)

Adam Bruce replied 7 months ago

Forgot to Add
This is an URP project with Shader Graph Version 10.6.0 – July 08, 2021

1 Answers
Thomas Staff answered 7 months ago

Hello,
As mentioned in the Asset Store page multiple times, Magio needs Unity 2021.1+ and visual effects graph 11.0+ in order to work.
 
I hope this helps! 🙂
 
All the best,
Thomas

Your Answer